Loading...
Searching...
No Matches
pcl::recognition::ModelLibrary::Model Class Reference

Stores some information about the model. More...

`#include <pcl/recognition/ransac_based/model_library.h>`

## Public Member Functions

| Model (const PointCloudIn &points, const PointCloudN &normals, float voxel_size, const std::string &object_name, float frac_of_points_for_registration, void *user_data=nullptr)
virtual | ~Model ()=default
const std::string & | getObjectName () const
const ORROctree & | getOctree () const
void * | getUserData () const
const float * | getOctreeCenterOfMass () const
const float * | getBoundsOfOctreePoints () const
const PointCloudIn & | getPointsForRegistration () const

## Protected Attributes

const std::string | obj_name_
ORROctree | octree_
float | octree_center_of_mass_ [3]
float | bounds_of_octree_points_ [6]
PointCloudIn | points_for_registration_
void * | user_data_

## Detailed Description

Stores some information about the model.

Definition at line 64 of file model_library.h.

## Constructor & Destructor Documentation

## Model()

pcl::recognition::ModelLibrary::Model::Model | ( | const PointCloudIn & | points,
|  | const PointCloudN & | normals,
|  | float | voxel_size,
|  | const std::string & | object_name,
|  | float | frac_of_points_for_registration,
|  | void * | user_data = `nullptr`
| ) |  |

inline

Definition at line 67 of file model_library.h.

References pcl::common::UniformGenerator< T >::run(), and pcl::common::UniformGenerator< T >::setParameters().

## ~Model()

virtual pcl::recognition::ModelLibrary::Model::~Model | ( |  | ) |

virtual default

## Member Function Documentation

## getBoundsOfOctreePoints()

const float * pcl::recognition::ModelLibrary::Model::getBoundsOfOctreePoints | ( |  | ) | const

inline

Definition at line 150 of file model_library.h.

Referenced by pcl::recognition::Hypothesis::computeBounds().

## getObjectName()

const std::string & pcl::recognition::ModelLibrary::Model::getObjectName | ( |  | ) | const

inline

Definition at line 126 of file model_library.h.

## getOctree()

const ORROctree & pcl::recognition::ModelLibrary::Model::getOctree | ( |  | ) | const

inline

Definition at line 132 of file model_library.h.

## getOctreeCenterOfMass()

const float * pcl::recognition::ModelLibrary::Model::getOctreeCenterOfMass | ( |  | ) | const

inline

Definition at line 144 of file model_library.h.

Referenced by pcl::recognition::Hypothesis::computeCenterOfMass().

## getPointsForRegistration()

const PointCloudIn & pcl::recognition::ModelLibrary::Model::getPointsForRegistration | ( |  | ) | const

inline

Definition at line 156 of file model_library.h.

## getUserData()

void * pcl::recognition::ModelLibrary::Model::getUserData | ( |  | ) | const

inline

Definition at line 138 of file model_library.h.

## Member Data Documentation

## bounds_of_octree_points_

float pcl::recognition::ModelLibrary::Model::bounds_of_octree_points_[6]

protected

Definition at line 165 of file model_library.h.

## obj_name_

const std::string pcl::recognition::ModelLibrary::Model::obj_name_

protected

Definition at line 162 of file model_library.h.

## octree_

ORROctree pcl::recognition::ModelLibrary::Model::octree_

protected

Definition at line 163 of file model_library.h.

## octree_center_of_mass_

float pcl::recognition::ModelLibrary::Model::octree_center_of_mass_[3]

protected

Definition at line 164 of file model_library.h.

## points_for_registration_

PointCloudIn pcl::recognition::ModelLibrary::Model::points_for_registration_

protected

Definition at line 166 of file model_library.h.

## user_data_

void* pcl::recognition::ModelLibrary::Model::user_data_

protected

Definition at line 167 of file model_library.h.

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/model_library.h